# Uses of Class
org.apache.qpid.proton.amqp.transport.Flow

Packages that use Flow
Package
Description
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec.transport
org.apache.qpid.proton.engine.impl

## Uses of Flow in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return Flow
Modifier and Type
Method
Description
`Flow`
Flow.`copy()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Flow
Modifier and Type
Method
Description
`void`
FrameBody.FrameBodyHandler.`handleFlow(Flow flow, Binary payload, E context)`
Constructors in org.apache.qpid.proton.amqp.transport with parameters of type Flow
Modifier
Constructor
Description
``
`Flow(Flow other)`

## Uses of Flow in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return Flow
Modifier and Type
Method
Description
`Flow`
FlowType.`newInstance(Object described)`
`Flow`
FastPathFlowType.`readValue()`
Methods in org.apache.qpid.proton.codec.transport that return types with arguments of type Flow
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<Flow>>`
FastPathFlowType.`getAllEncodings()`
`TypeEncoding<Flow>`
FastPathFlowType.`getCanonicalEncoding()`
`TypeEncoding<Flow>`
FastPathFlowType.`getEncoding(Flow flow)`
`Class<Flow>`
FastPathFlowType.`getTypeClass()`
`Class<Flow>`
FlowType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.transport with parameters of type Flow
Modifier and Type
Method
Description
`TypeEncoding<Flow>`
FastPathFlowType.`getEncoding(Flow flow)`
`protected List`
FlowType.`wrap(Flow val)`
`void`
FastPathFlowType.`write(Flow flow)`
Constructors in org.apache.qpid.proton.codec.transport with parameters of type Flow
Modifier
Constructor
Description
``
`FlowWrapper(Flow flow)`

## Uses of Flow in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type Flow
Modifier and Type
Method
Description
`void`
TransportImpl.`handleFlow(Flow flow, Binary payload, Integer channel)`